Subject: bug#24819: closed (Re: bug#24819: Intermittent 00-repl-server.test failure in 2.0.13)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Nov 2016 21:51:02 +0000

Your bug report

#24769: Intermittent 00-repl-server.test failure in 2.0.13

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24769: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24769
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24819: Intermittent 00-repl-server.test failure in 2.0.13
From: [email-masked] (Ludovic Courtès)
To: Rob Browning <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 04 Nov 2016 22:50:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Rob Browning <[email-masked]> skribis:

> I noticed that 00-repl-server.test had failed on some of the debian
> buildds like this:
>
>   Running 00-initial-env.test
>   Running 00-repl-server.test
>   FAIL: 00-repl-server.test: repl-server: simple expression - arguments: (expected-value "scheme@(repl-server)> $1 = 42\n" actual-value "$1 = 42\n")

The reason is that ‘repl-reader’ in boot-9.scm goes like this:

  (lambda* (prompt #:optional (reader (fluid-ref current-reader)))
    (if (not (char-ready?))
        (begin
          (display (if (string? prompt) prompt (prompt)))
          (set-port-column! (current-output-port) 0)))
    (force-output)
    (run-hook before-read-hook)
    ((or reader read) (current-input-port)))

Thus, if there’s already data available on the current input port, it
does not print the prompt.

That situation can arise in 00-repl-server.test if we write “(+ 40 2)”
too quickly.

Fixed in 2fbde7f02adb8c6585e9baf6e293ee49cd23d4c4.

Thanks!

Ludo’.

Subject: Intermittent 00-repl-server.test failure in 2.0.13
From: Rob Browning <[email-masked]>
To: [email-masked]
Date: Sat, 29 Oct 2016 12:41:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that 00-repl-server.test had failed on some of the debian
buildds like this:

  Running 00-initial-env.test
  Running 00-repl-server.test
  FAIL: 00-repl-server.test: repl-server: simple expression - arguments: (expected-value "scheme@(repl-server)> $1 = 42\n" actual-value "$1 = 42\n")

After suspecting some kind of race, it turns out that I can reproduce
the failure locally (eventually) like this:

  cd test-suite
  while GUILE_LOAD_PATH=. \
    ./guile-test tests/00-initial-env.test tests/00-repl-server.test
  do
    :
  done

I don't know what's causing the trouble yet, but I augmented
read-until-prompt to print every line it reads to stderr, and nothing
appeared amiss there, at least.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4